package postgresql

import (
	cnsmp "git.loafle.net/commons/service_matcher-go/postgresql"
	ocmsc "git.loafle.net/overflow/commons-go/model/sensorconfig"
	"git.loafle.net/overflow/container_network/crawler/health"
	crawler "git.loafle.net/overflow/crawler-go"
)

type PostgreSQLHealthCrawler struct {
	health.SocketHealthCrawler
}

func (c *PostgreSQLHealthCrawler) Key() string {
	return "POSTGRESQL_HEALTH"
}

func (c *PostgreSQLHealthCrawler) String() string {
	return "PostgreSQL Health Crawler"
}

func (c *PostgreSQLHealthCrawler) Auth(auth map[string]interface{}) error {
	return nil
}

func (c *PostgreSQLHealthCrawler) Get(config *ocmsc.SensorConfig) (map[string]string, error) {
	rss, err := c.CheckHealth(config)
	if err != nil {
		return nil, err
	}
	return rss, nil
}

func NewCrawler() crawler.Crawler {
	c := &PostgreSQLHealthCrawler{}
	c.SetMatcher(cnsmp.NewMatcher())
	return c
}
