package v3

import (
	"encoding/json"
	"testing"

	ocmsc "git.loafle.net/overflow/commons-go/model/sensorconfig"
	"github.com/stretchr/testify/assert"
)

func TestMatch(t *testing.T) {
	config := &ocmsc.SensorConfig{}
	config.Target = &ocmsc.Target{}
	config.Target.Connection = &ocmsc.Connection{
		IP:       "192.168.1.254",
		Port:     json.Number(161),
		PortType: "udp",
		SSL:      false,
	}

	c := NewCrawler()
	rss, err := c.Get(config)

	assert.Nil(t, err)
	assert.NotNil(t, rss)
}
