package telnet

import (
	cnsmt "git.loafle.net/commons/service_matcher-go/telnet"
	ocmsc "git.loafle.net/overflow/commons-go/model/sensorconfig"
	"git.loafle.net/overflow/container_network/crawler/health"
	crawler "git.loafle.net/overflow/crawler-go"
)

type TelnetHealthCrawler struct {
	health.SocketHealthCrawler
}

func (c *TelnetHealthCrawler) Key() string {
	return "TELNET_HEALTH"
}

func (c *TelnetHealthCrawler) String() string {
	return "Telnet Health Crawler"
}

func (c *TelnetHealthCrawler) Auth(auth map[string]interface{}) error {
	return nil
}

func (c *TelnetHealthCrawler) Get(config *ocmsc.SensorConfig) (map[string]string, error) {
	rss, err := c.CheckHealth(config)
	if err != nil {
		return nil, err
	}
	return rss, nil
}

func NewCrawler() crawler.Crawler {
	c := &TelnetHealthCrawler{}
	c.SetMatcher(cnsmt.NewMatcher())
	return c
}
